Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class BaseControlBackgroundImage

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.ajax4jsf.resource.Java2Dresource
                      org.richfaces.renderkit.html.BaseGradient
                          org.richfaces.renderkit.html.images.BaseControlBackgroundImage

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  ButtonBackgroundImage, ButtonDisabledBackgroundImage, InputBackgroundImage, StandardButtonBgImage, StandardButtonPressedBgImage

    public abstract class BaseControlBackgroundImage

extends BaseGradient

Created 23.02.2008

Since:
  3.2
Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.renderkit.html.BaseGradient
`gradientType, headerBackgroundColor, headerGradientColor`

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`BaseControlBackgroundImage(java.lang.String baseColor, java.lang.String gradientColor, int width)`

Method Summary
`protected int` | `getHeight()`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput stream)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput stream)`

Methods inherited from class org.richfaces.renderkit.html.BaseGradient
`drawGradient, getBaseColor, getDimension, getGradientColor, getGradientHeight, getWidth, isHorizontal, paint, paintGradient`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`decodeColor, encodeSkinParameter, getColorValueParameter, getContentType, getHeight, getInputStream, getValueParameter, isTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseControlBackgroundImage

    public BaseControlBackgroundImage(java.lang.String baseColor,
                                      java.lang.String gradientColor,
                                      int width)

Method Detail

### getHeight

    protected int getHeight()

  Overrides:
    `getHeight` in class `BaseGradient`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput stream)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Overrides:
    `writeState` in class `BaseGradient`
  Throws:
    `java.io.IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput stream)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Overrides:
    `readState` in class `BaseGradient`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.